(* ************************** *)
(* *****     Orders     ***** *)
(* ************************** *)
M$InteractionOrderHierarchy = { {QCD, 1},  {QED, 2},  {DMY,1} };

(* ************************** *)
(* *****     Fields     ***** *)
(* ************************** *)
M$ClassesDescription =
{
	F[21] ==
	{
		ClassName			-> x,
		Unphysical			-> False,
		SelfConjugate			-> True,
		Mass				-> {MX, 200.},
		Width				-> {WX, 0.},
		MajoranaPhase			-> 0,
		PropagatorLabel			-> "X",
		PropagatorType			-> Straight,
		PropagatorArrow			-> Forward,
		PDG				-> 1000022,
		ParticleName			-> "~x",
		TeX				-> \[Chi],
		FullName			-> "Majorana DM"
	},
	
	S[21] ==
	{
		ClassName			-> sb,
		Indices				-> {Index[Colour]},
		Unphysical			-> False,
		SelfConjugate			-> False,
		Mass				-> {MSB, 400.},
		Width				-> {WSB, 0.}, 
		QuantumNumbers			-> {Q -> -1/3, Y -> -1/3 },
		PropagatorLabel			-> "SB",
		PropagatorType			-> ScalarDash,
		PropagatorArrow			-> Forward,
		PDG				-> 1000006,
		ParticleName			-> "~sb",
		AntiParticleName		-> "~sb~",
		TeX				-> OverTilde[b],
		FullName			-> "Scalar Mediator (sBottom)"
	}

};

(* ************************** *)
(* *****   Parameters   ***** *)
(* ************************** *)
M$Parameters =
{
	yx ==
	{
		ParameterType			-> External,
		ComplexParameter		-> False,
		InteractionOrder		-> {DMY, 1},
		BlockName			-> DMINPUTS,
		OrderBlock			-> 1,
		TeX				-> Subscript[y, \[Chi] b],
		Description			-> "Bottom-Mediator-DM Coupling",
		Value				-> -0.168797
	}

};


(* ************************** *)
(* *****   Lagrangian   ***** *)
(* ************************** *)
LFST := (DC[ sbbar[A] , mu ]) ( DC[ sb[A] , mu ]) - MSB^2 sbbar[A] sb[A]

LFDM := 1/2 I xbar.Ga[mu].del[x, mu] - 1/2 MX xbar.x

LYX := yx bbar[alpha, A] ProjM[alpha, beta] x[beta] sb[A]

LDM := LFST  + LFDM + LYX + HC[LYX]

